// pages/scanLogin/scanLogin.ts
const app = getApp<IAppOption>()
import { codeScanningSuccess, codeScanningLogin } from '../../apis/socket'
import { querystrToObj } from '../../utils/util'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    if(!app.globalData.ready) return
    console.log(options)
    let { id, q } = options
    if (q) {
      q = decodeURIComponent(q)
      const queryStr = q.split('?')[1]
      const query = querystrToObj(decodeURIComponent(querystrToObj(queryStr).query))
      id = query.id
    }
    codeScanningSuccess(id)
    this.setData({
      id,
    })
  },
  login() {
    codeScanningLogin(this.data.id).then(() => {
      wx.showToast({
        title: '登录成功!'
      })
      // this.back()
      wx.reLaunch({
        url: '/pages/information/information'
      })
    })
  },
  back() {
    wx.navigateBack()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})

export {}